using BeSafePlus.ViewModels;
using Microsoft.Maui.Controls;

namespace BeSafePlus
{
    public partial class ProfilePage : ContentPage
    {
        private readonly ProfileViewModel _vm;
        public ProfilePage(ProfileViewModel vm)
        {
            InitializeComponent();

            BindingContext = vm;

            _vm = vm;
        }

        protected override async void OnAppearing()
        {
            base.OnAppearing();

            await _vm.LoadProfile();
        }
    }
}